%global pypi_name websockets

Name:           python-%{pypi_name}
Version:        10.1
Release:        %mkrel 1
Summary:        An implementation of the WebSocket Protocol for python with asyncio
License:        BSD
Group:          Development/Python
URL:            https://pypi.python.org/pypi/websockets
Source0:        %{pypi_name}-%{version}.tar.xz

%description
websockets is a library for developing WebSocket servers and clients in
Python. It implements RFC 6455 with a focus on correctness and simplicity. It
passes the Autobahn Testsuite.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
websockets is a library for developing WebSocket servers and clients in
Python. It implements RFC 6455 with a focus on correctness and simplicity. It
passes the Autobahn Testsuite.

%prep
%setup -qn %{pypi_name}-%{version}

# Remove upstream's egg-info
rm -vrf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

# Remove installed C file
rm -vf %{buildroot}%{python3_sitearch}/%{pypi_name}/speedups.c

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitearch}/%{pypi_name}/

%changelog
* Sat Mar 12 2022 TerryN <terryn94 at gmail.com> 10.1-1pclos2022
- update and rebuild for python 3.10

* Sat Jul 13 2019 tex - 8.0-1pclos2019
- Update to 8.0
